%define name php-pear-HTML_Common
%define rname HTML_Common
%define version 1.2.1
%define rversion 1.2.1
%define release 3mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: PEAR::HTML_Common is a base class for other HTML classes.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pear.php.net/get/%{rname}-%{version}.tar.bz2
License: PHP License
Group: Development/Other
Url: http://pear.php.net/get/HTML_Common
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: php-pear
%description
The PEAR::HTML_Common package provides methods for html code display and
attributes handling.
* Methods to set, remove, update html attributes.
* Handles comments in HTML code.
* Handles layout, tabs, line endings for nicer HTML code.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/HTML
cp Common.php $RPM_BUILD_ROOT%{pear_phpdir}/HTML/Common.php

mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%postun
pear uninstall -r -n %{pear_phpdir}/packages/%{rname}.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/HTML
%{pear_phpdir}/HTML/Common.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Sun Jan 04 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.1-3mdk
-  Register into pear

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.1-2mdk

- Fix dir ownership

* Mon Dec 29 2003 Pascal Terjan <pterjan@mandrake.org> 1.2.1-1mdk

- First mdk package
